## org.apache.mahout.math.solver
Class JacobiConditioner

    java.lang.Object
      org.apache.mahout.math.solver.JacobiConditioner

All Implemented Interfaces:
  Preconditioner

    public final class JacobiConditioner

extends Object
implements Preconditioner

Implements the Jacobi preconditioner for a matrix A. This is defined as inv(diag(A)).

Constructor Summary
`JacobiConditioner(Matrix a)`

Method Summary
`Vector` `precondition(Vector v)` Preconditions the specified vector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JacobiConditioner

    public JacobiConditioner(Matrix a)

Method Detail

### precondition

    public Vector precondition(Vector v)

  Description copied from interface: `Preconditioner`
  Preconditions the specified vector.

  Specified by:
    `precondition` in interface `Preconditioner`
  Parameters:
    `v` - The vector to precondition.
  Returns:
    The preconditioned vector.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.